
Auto Multiple Choice - Feature # 132: Desktop Notifications for AMC

Status: Closed Priority: Normal
Author: Anirvan Sarkar Category:
Created: 01/18/2013 Assignee: Alexis Bienvenüe
Updated: 08/19/2014 Due date:
Description: AMC takes quite some time in processing _Automatic Data capture_ and _Annotations of papers_. During this 

time I do some other work which usually involves me browsing the Internet!!

The thing is I have to repeatedly stop my work and check whether the data capture and annotations have 
been completed or not. It will be better if AMC has some sort of a Desktop Notification system which notifies 
us when the data capture and annotations have been completed similar to when Firefox shows a notification 
when all Downloads have been completed.
!http://i48.tinypic.com/kao7cp.png!

History
01/18/2013 03:17 pm - Anirvan Sarkar
- File annotate-notification.sh added

- File auto-data-capture-notification.sh added

After some searching on the internet I have found that the @notify-send@ command can be used to create a Desktop Notification. I have attached a 
sample shell script which can be used to generate the notification.

!http://i45.tinypic.com/2ch3lz.png!

!http://i46.tinypic.com/9to9jq.png!

01/18/2013 03:32 pm - Anirvan Sarkar
- File annotate-notification.pl added

"Here":http://search.cpan.org/dist/Gtk2-Notify/lib/Gtk2/Notify.pm is a perl version of the notification system which generates the same output. It maybe 
helpful for you. I have attached a perl script which implements this to generate notifications.

01/19/2013 08:05 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset r1291.

01/19/2013 08:06 pm - Alexis Bienvenüe
Thanks! I commited your second idea with @Gtk2::Notify@.

01/22/2013 11:04 am - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> Thanks! I commited your second idea with @Gtk2::Notify@.

Maybe make a note in the change log, because of the dependency change. This version (subversion 1300) would not install without previously installing 
*libgtk2-notify-perl* (test on ubuntu 10.04.1 LTS).
01/22/2013 11:16 am - Pieter  Van den Hombergh
The notification works.

In my case, I would like it for all the processing tasks, including the *Update documents* conmmand.

Because we tend to use a different machine to process all our exams on, an audible notification would help too. This would require a *notification sound 
file* option in the settings. (Full path).

01/22/2013 01:12 pm - Alexis Bienvenüe
Pieter  Van den Hombergh wrote:
> This version (subversion 1300) would not install without previously installing *libgtk2-notify-perl*
It should install and run without installing @Gtk2::Notify@ (but then the notification simply does not show).

01/28/2013 10:07 am - Alexis Bienvenüe
Since revision r1302, you can choose for which action AMC will issue notifications, and you can add a notification command (something like "@play 
/path/to/sound_file@" should make AMC talk to you)

05/11/2013 12:05 pm - Anirvan Sarkar
Thank you for implementing this feature. I liked the option of a notification command. Now one can also listen to the notifications using the command 
*@"espeak ' %m'"@*.

There is one thing which I noticed. The notification for completed annotations is shown even when annotated pages are being grouped together.

!http://i42.tinypic.com/2ypgq4i.jpg!

Maybe you can show the notification after the student papers have been grouped.

05/11/2013 02:28 pm - Alexis Bienvenüe
> The notification for completed annotations is shown even when annotated pages are being grouped together.
You're right. This should be fixed with revision r1377.

08/03/2013 03:41 pm - Alexis Bienvenüe
- Target version set to 1.3.0

04/07/2014 09:20 am - Anonymous
Applied in changeset commit:e91738a02747.

08/19/2014 05:59 am - Anirvan Sarkar
- Assignee set to Alexis Bienvenüe

- Status changed from Resolved to Closed

Files
annotate-notification.sh 153 Bytes 01/18/2013 Anirvan Sarkar
auto-data-capture-notification.sh 163 Bytes 01/18/2013 Anirvan Sarkar
annotate-notification.pl 249 Bytes 01/18/2013 Anirvan Sarkar
